%define gcj_support 1

Name:		jessie
Version:	1.0.0
Release:	6mdk
Epoch:		0
Summary:	A free implementation of the Java Secure Sockets Extension

Group:		Development/Java
License:	GPL
URL:		http://www.nongnu.org/jessie/
Source0:	%{name}-%{version}.tar.bz2
# workaround for http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19870
#Patch0:		jessie-1.0.0-gcj-workaround.patch.bz2
Patch1:		jessie-1.0.0-dont-print-name.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:	%{_bindir}/perl
Requires:	gnu-crypto >= 0:2.0.1
Requires:	gnu-crypto-sasl-jdk1.4 >= 0:2.0.1
Requires:	gnu-crypto-jce-jdk1.4 >= 0:2.0.1
BuildRequires:	gnu-crypto >= 0:2.0, jpackage-utils > 0:1.5
BuildRequires:  java-devel >= 0:1.4
Requires:	java >= 0:1.4
%if %{gcj_support}
Requires:	gcc-java
%endif

%description
JESSIE is a cleanroom implementation of the Java Secure Sockets
Extension, the JSSE, which aims for compliance and compatibility with
the JSSE as it exists in Java 2 Standard Edition, version 1.4.

%prep
%setup -q
#%patch0 -p0
%patch1 -p0

export CLASSPATH=$(build-classpath gnu-crypto):.
%configure --enable-provider-only
make

%build

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 lib/org-metastatic-jessie.jar \
  $RPM_BUILD_ROOT%{_javadir}/jsse-%{version}.jar
ln -s jsse-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsse.jar

%if %{gcj_support}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/2000-org.metastatic.jessie.provider.Jessie

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
ln -s %{_javadir}/jsse-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed/jsse.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
rebuild-security-providers
%endif

%postun
%if %{gcj_support}
rebuild-security-providers
%endif

%files
%defattr(-,root,root,-)
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_javadir}/jsse*.jar
%if %{gcj_support}
%{_javadir}/gcj-endorsed/jsse*.jar
%config(noreplace) %{_sysconfdir}/java/security/security.d/2000-org.metastatic.jessie.provider.Jessie
%endif

%changelog
* Wed May 11 2005 David Walluck <walluck@mandriva.org> 0:1.0.0-6mdk
- release

* Mon Apr 25 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-6
- Build the provider only.

* Fri Apr 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-5
- Require gnu-crypto.

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-4
- Add gcj endorsed dir support.

* Thu Mar 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-3
- Don't install security.d file.

* Thu Mar 10 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-2
- Comment out extdirs support.
- Install provider file.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-1
- Initial build.
